Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
custom-block
/
upload-link
Create pre-signed S3 upload link for a custom block archive
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/custom-block/upload-link \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "fileName": "<string>",
  "fileSize": 123,
  "fileHash": "<string>",
  "blockId": 123
}
'
{
  "success": true,
  "uploadKey": "<string>",
  "error": "<string>",
  "url": "<string>",
  "ETag": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

Body

application/json
fileName
string
required

file name

fileSize
integer
required

file size in bytes

fileHash
string
required

hash to identify file changes

type
enum<string>
required
Available options:
transform,
deploy,
dsp,
transferLearning
blockId
integer
required

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

uploadKey
string
required

S3 object key for the staged upload

error
string

Optional error description (set if 'success' was false)

url
string

S3 Upload Link

ETag
string

S3 File Tag